#ifndef SESSIONWINDOW_H
#define SESSIONWINDOW_H

#include <QDialog>
#include <QtSql>
#include <QSqlQueryModel>

namespace Ui {
class SessionWindow;
}

class SessionWindow : public QDialog
{
    Q_OBJECT

public:
    explicit SessionWindow(QWidget *parent = nullptr);
    ~SessionWindow();
        void setName(const int& newName);

private slots:
    void on_choice_accepted();

private:
    Ui::SessionWindow *ui;
    int filmID;

    QSqlDatabase m_db;
    QSqlTableModel    *m_table_model       ;
    QSqlQuery         *m_query             ;
    //QSqlQueryModel* result_model;
    SessionWindow *sessions;
    void tableView();
};

#endif // SESSIONWINDOW_H
